#

API Docs for:
Show: Inherited Protected Private Deprecated

# mywidget.SubWidget Class

Extends mywidget.SuperWidget
Defined in: `input/inherit/examplemodule.js:72`
Module: ExampleModule

Subclass description.

## Constructor

### `mywidget.SubWidget`

()

Defined in `input/inherit/examplemodule.js:72`

- Index
- Methods
- Properties
- Attributes
- Events

## Item Index

### Methods

- getTargets2
- myMethod

### Properties

- name2

### Attributes

- focused2
- focused3

### Events

- init2

## Methods

### `getTargets2`

()

Inherited from mywidget.SuperWidget: `input/inherit/examplemodule.js:35`

Overwritten method see mywidget.SuperWidget also see myMethod This is also a test DAVGLASS_WAS_HERE::Foo

#### Example:

    var bar;

### `myMethod`

(

- `d`

)

Inherited from mywidget.SuperWidget but overwritten in `input/inherit/examplemodule.js:82`

Submethod description.

#### Parameters:

- `d` Boolean

  Foo

## Properties

### `name2`

String

Inherited from mywidget.SuperWidget: `input/inherit/examplemodule.js:57`

Override Property

## Attributes

### `focused2`

optional

Inherited from mywidget.SuperWidget: `input/inherit/examplemodule.js:45`

Override Attribute

### `focused3`

required

Inherited from mywidget.SuperWidget: `input/inherit/examplemodule.js:51`

Override Attribute

## Events

### `init2`

Inherited from mywidget.SuperWidget: `input/inherit/examplemodule.js:63`

Override Event